%define prefix   /usr
%define version 0.4.6
Summary: A command line driven CD player with CDDB support.
Name: cdcd
Version: %version
Release: 2
Copyright: GPL
Group: Applications/Multimedia
Source: http://cdcd.undergrid.net/source_archive/cdcd-%version.tar.gz
#Patch1: cdcd-no_man_page.patch
BuildRoot: /tmp/cdcd-root
Packager: Adrian Likins <alikins@redhat.com>
URL: http://cdcd.undergrid.net/
Docdir: %{prefix}/doc

%description
Cdcd is a command line driven CD player with all of the features of a
GUI CD player. Cdcd development has deliberately discarded the current
display-oriented paradigm, in which CD players on a computer provide a
GUI resembling a traditional physical CD player. Instead, cdcd accepts
queries from the command line or in a query mode similar to programs
like Telnet and FTP. Cdcd may appeal to you if you routinely prefer
keyboard commands and/or if you need screen real estate for other
things. CDDBP, HTTP mode CDDB, CD indexes and CD-ROM changers are all
supported.

%prep
%setup 
#%patch1 -p1

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT/%{prefix}/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%{prefix}/bin/cdcd
%{prefix}/man/man1/cdcd.1

%changelog
* Tue Aug 3 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Sat Jul 31 1999 Adrian Likins <alikins@redhat.com>
-updated to 0.4.6
-readded the man page

* Sun Jun  6 1999 Adrian Likins <alikins@redhat.com>
-first release as rpm
